<?xml version="1.0" encoding="euc-kr"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:key name="comname" match="BusinessCard" use="CompanyInfo/ComName" />

<xsl:template match="BusinessCards">
  <html>
    <head>
      <title></title>
      <style type="text/css">
        .font1 {  font-family: "", "", ""; font-size: 12pt; line-height: 15pt}
      .font2 {  font-family: "Times New Roman", "Times", "serif"; font-size: 9pt; line-height: 15pt}
      .title {  font-family: "Times New Roman", "Times", "serif"; font-size: 16pt; font-style: italic; line-height: 15pt; font-weight: bold; color: #990000; background-color: #ffeeee}
      </style>
    </head>

    <body bgcolor="#FFFFFF" text="#000000">
      <xsl:call-template name="CardList" />
      <p />
      <table width="400" border="0" cellspacing="1" cellpadding="0" bgcolor="#000000">
        <xsl:for-each select="//BusinessCard[generate-id(.)=generate-id(key('comname', CompanyInfo/ComName)[1])]">
          <xsl:sort select="CompanyInfo/ComName" order="descending" />
          <xsl:for-each select="key('comname', CompanyInfo/ComName)">
            <xsl:if test="position()=1">
              <tr bgcolor="#FFFFEE">
                <td height="12">
                  <xsl:text> </xsl:text>
                </td>
              </tr>
              <tr bgcolor="#FFFFFF"> 
                <td> 
                  <xsl:apply-templates select="CompanyInfo" />
                </td>
              </tr>
            </xsl:if>
            <tr bgcolor="#FFFFFF"> 
              <td> 
                <a>
                  <xsl:attribute name="name">
                    <xsl:value-of select="@id" />
                  </xsl:attribute>
                </a>
                <xsl:apply-templates select="PersonInfo" />
              </td>
            </tr>
          </xsl:for-each>
        </xsl:for-each>
      </table>
    </body>
  </html>
</xsl:template>

<xsl:template name="CardList">
  <table  width="400" border="0" cellspacing="5" cellpadding="0">
    <xsl:for-each select="BusinessCard">
      <xsl:variable name="modvalue" select="ceiling(position() div 4)" />
      <xsl:if test="position() mod 4 = 1">
        <tr class="font2" align="center">
          <xsl:for-each select="../BusinessCard">
            <xsl:if test="ceiling(position() div 4) = $modvalue">
              <td>
                <a>
                  <xsl:attribute name="href">
                    <xsl:text>#</xsl:text>
                    <xsl:value-of select="@id" />
                  </xsl:attribute>
                    <xsl:value-of select="PersonInfo/Name" />
                </a>
              </td>
            </xsl:if>
          </xsl:for-each>
        </tr>
      </xsl:if>
    </xsl:for-each>
  </table>
</xsl:template>

<xsl:template match="CompanyInfo">
  <table width="400" border="0" cellspacing="0" cellpadding="3">
    <tr> 
      <td rowspan="3" class="title" width="160"> 
        <div align="center">
          <xsl:value-of select="ComName" />
        </div>
      </td>
      <td class="font2">
        <xsl:value-of select="ComAdd/@ZipCode" />
      </td>
    </tr>
    <tr> 
      <td class="font2">
        <xsl:value-of select="ComAdd" />
      </td>
    </tr>
    <tr> 
      <td class="font2">
        <xsl:text>tel. </xsl:text>
        <xsl:value-of select="ComTel/@AreaCode" />
        <xsl:text>) </xsl:text>
        <xsl:value-of select="ComTel" />
      </td>
    </tr>
    <tr> 
      <td class="font2" width="160"> 
        <div align="center">
          <a target="_blank">
            <xsl:attribute name="href">
              <xsl:value-of select="Homepage" />
            </xsl:attribute>
            <xsl:value-of select="Homepage" />
          </a>
        </div>
      </td>
      <td class="font2">
        <xsl:text>fax. </xsl:text>
        <xsl:value-of select="ComFax/@AreaCode" />
        <xsl:text>) </xsl:text>
        <xsl:value-of select="ComFax" />
      </td>
    </tr>
  </table>
</xsl:template>

<xsl:template match="PersonInfo">
  <table width="400" border="0" cellspacing="0" cellpadding="3">
    <tr> 
      <td class="font2" width="160" bgcolor="#EEEEEE"> 
        <div align="center">
        <xsl:value-of select="Duty/Department" />
        <xsl:text> </xsl:text>
        <xsl:value-of select="Duty/Authority" />
        </div>
      </td>
      <td class="font2">
        <xsl:value-of select="Handphone/@EntryCom" />
        <xsl:text>-</xsl:text>
        <xsl:value-of select="Handphone" />
      </td>
    </tr>
    <tr> 
      <td rowspan="2" class="font1" width="160"> 
        <div align="center">
          <xsl:value-of select="Name" />
        </div>
      </td>
      <td class="font2">
        <a target="_blank">
          <xsl:attribute name="href">
            <xsl:text>mailto:</xsl:text>
            <xsl:value-of select="EMail" />
          </xsl:attribute>
          <xsl:value-of select="EMail" />
        </a>
      </td>
    </tr>
    <tr> 
      <td class="font2">
        <xsl:for-each select="Messenger">
          <xsl:value-of select="@Kind" />
          <xsl:text> : </xsl:text>
          <xsl:value-of select="." />
          <br />
        </xsl:for-each>
      </td>
    </tr>
  </table>
</xsl:template>
</xsl:stylesheet>